> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agg.market/llms.txt
> Use this file to discover all available pages before exploring further.

# Get news articles for markets with market impact summaries



## OpenAPI

````yaml /openapi/openapi.json post /news-feed/market-news
openapi: 3.0.2
info:
  title: AGG API
  version: 1.0.0
  description: >-
    Prediction market aggregator REST API — authentication, users, venue events,
    venue markets, orderbooks, charts, and execution workflows.
servers:
  - url: https://api.agg.market
    description: Production
  - url: https://api.staging.agg.market
    description: Staging
security: []
paths:
  /news-feed/market-news:
    post:
      tags:
        - Discovery
      summary: Get news articles for markets with market impact summaries
      operationId: getMarketNews
      requestBody:
        required: true
        content:
          application/json:
            schema:
              additionalProperties: false
              type: object
              properties:
                venueMarketIds:
                  maxItems: 10
                  type: array
                  items:
                    minLength: 1
                    maxLength: 256
                    type: string
                venueEventIds:
                  maxItems: 10
                  type: array
                  items:
                    minLength: 1
                    maxLength: 256
                    type: string
                customQuery:
                  minLength: 1
                  maxLength: 160
                  type: string
                tbs:
                  minLength: 1
                  maxLength: 128
                  type: string
                limit:
                  minimum: 1
                  maximum: 5
                  type: integer
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                required:
                  - results
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      required:
                        - venueMarketId
                        - venueEventId
                        - question
                        - eventTitle
                        - category
                        - searchQuery
                        - timeRange
                        - timeRangeLabel
                        - articles
                      properties:
                        venueMarketId:
                          type: string
                        venueEventId:
                          type: string
                        question:
                          type: string
                        eventTitle:
                          type: string
                        category:
                          type: string
                        searchQuery:
                          type: string
                        timeRange:
                          type: string
                        timeRangeLabel:
                          type: string
                        articles:
                          type: array
                          items:
                            type: object
                            required:
                              - title
                              - url
                              - snippet
                              - source
                              - imageUrl
                              - publishedAt
                              - summary
                              - relevanceScore
                            properties:
                              title:
                                type: string
                              url:
                                type: string
                              snippet:
                                type: string
                              source:
                                type: string
                              imageUrl:
                                type: string
                                nullable: true
                              publishedAt:
                                type: string
                                nullable: true
                              summary:
                                type: string
                              relevanceScore:
                                type: number
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
      security:
        - appId: []
components:
  securitySchemes:
    appId:
      type: apiKey
      in: header
      name: x-app-id
      description: Your application ID. Required for all app-tier and user-tier routes.

````